## javax.el
Class BeanELResolver.BeanProperty

    java.lang.Object
      javax.el.BeanELResolver.BeanProperty

Enclosing class:
  BeanELResolver

    protected static final class BeanELResolver.BeanProperty

extends Object

Constructor Summary
`BeanELResolver.BeanProperty(Class<?> baseClass, PropertyDescriptor descriptor)`

Method Summary
`Class` `getPropertyType()`
`Method` `getReadMethod()`
`Method` `getWriteMethod()`
`boolean` `isReadOnly()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanELResolver.BeanProperty

    public BeanELResolver.BeanProperty(Class<?> baseClass,
                                       PropertyDescriptor descriptor)

Method Detail

### getPropertyType

    public Class getPropertyType()

### isReadOnly

    public boolean isReadOnly()

### getReadMethod

    public Method getReadMethod()

### getWriteMethod

    public Method getWriteMethod()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.